=== debian/changelog ===
cdemu-daemon (3.2.3-1) debian; urgency=low
  * Initial Release. Closes: #705409
 -- Henrik Stokseth <hstokset@users.sourceforge.net>  Sat, 05 Apr 2014 12:00:00 +0100
