=== debian/control ===
Source: cdemu-daemon
Section: misc
Priority: optional
Homepage: http://cdemu.sourceforge.net/
Maintainer: Henrik Stokseth <hstokset@users.sourceforge.net>
Build-Depends: libglib2.0-dev (>= 2.30), libao-dev (>= 0.8.0),
 libmirage11-dev (>= 3.2.0), debhelper (>= 9), intltool,
 cmake (>= 2.8.5), ninja-build
Standards-Version: 4.3.0


Package: cdemu-daemon
Section: misc
Architecture: any
Depends: vhba-dkms (>= 20170610), ${shlibs:Depends}, ${misc:Depends}
Description: Main CDEmu daemon
 This is CDEmu daemon, the daemon part of the CDEmu suite,
 a free, GPL CD/DVD-ROM device emulator for Linux.
 .
 It receives SCSI commands from kernel module and processes them, passing the
 requested data back to the kernel. Daemon implements the actual virtual
 device; one instance per each device registered by kernel module. It uses
 libMirage, an image access library that is part of CDEmu suite, for
 the image access (e.g. sector reading).
 .
 The daemon registers itself on D-BUS' system or session bus (depending on the
 options passed to it) where it exposes an interface that can be used by
 clients to control it.


Package: cdemu-daemon-dbg
Section: debug
Architecture: any
Priority: optional
Depends: cdemu-daemon (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Main CDEmu daemon (debugging symbols)
 This package provides detached debugging symbols.
