=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-


#export DH_VERBOSE=1


override_dh_auto_configure:
	dh_auto_configure -- -G Ninja

override_dh_auto_test:

override_dh_strip:
	dh_strip --dbg-package="cdemu-daemon-dbg"

%:
	dh $@
