=== debian/watch ===
version=3

http://sf.net/cdemu/ cdemu-daemon-(.+)\.tar\.bz2
